SYSDEV_DRIVER_REG(9)

NAME
sysdev_driver_register - Register auxillary driver

SYNOPSIS

int sysdev_driver_register (struct sysdev_class * cls, struct sysdev_driver * drv);

ARGUMENTS

cls Device class driver belongs to.

drv Driver.

DESCRIPTION

If cls is valid, then drv is inserted into cls->drivers to be called on each operation on devices of that class. The refcount of cls is incremented. Otherwise, drv is inserted into sysdev_drivers, and called for each device.